
Figure - Bug #117738
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.documentsui（3）
2023-05-04 11:06 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-04

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

Reproducibility: Rarely Fixed Version: 2023-05-05

Test Type: Monkey Test Root cause: 编码问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 25000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.documentsui (pid 3674)

// Short Msg: java.lang.IllegalStateException

// Long Msg: java.lang.IllegalStateException: FragmentManager is already executing transactions

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3052:user/test-keys

// Build Changelist: 3052

// Build Time: 1682619940000

// java.lang.IllegalStateException: FragmentManager is already executing transactions

//     at androidx.fragment.app.FragmentManager.ensureExecReady(FragmentManager.java:1951)

//     at androidx.fragment.app.FragmentManager.execSingleAction(FragmentManager.java:1987)

//     at androidx.fragment.app.BackStackRecord.commitNowAllowingStateLoss(BackStackRecord.java:311)

//     at com.android.documentsui.queries.SearchFragment.dismiss(SearchFragment.java:168)

//     at com.android.documentsui.queries.SearchFragment.dismissFragment(SearchFragment.java:76)

//     at com.android.documentsui.queries.SearchViewManager.onClose(SearchViewManager.java:423)

//     at com.android.documentsui.queries.SearchViewManager.cancelSearch(SearchViewManager.java:338)

//     at com.android.documentsui.queries.SearchViewManager.onFocusChange(SearchViewManager.java:493)

//     at androidx.appcompat.widget.SearchView$3.onFocusChange(SearchView.java:335)

//     at android.view.View.onFocusChanged(View.java:8109)

//     at android.widget.TextView.onFocusChanged(TextView.java:11061)

//     at android.widget.AutoCompleteTextView.onFocusChanged(AutoCompleteTextView.java:1173)

//     at androidx.appcompat.widget.SearchView$SearchAutoComplete.onFocusChanged(SearchView.java:1921)

//     at android.view.View.clearFocusInternal(View.java:7946)

//     at android.view.View.unFocus(View.java:7979)

//     at android.view.ViewGroup.unFocus(ViewGroup.java:1205)

//     at android.view.ViewGroup.unFocus(ViewGroup.java:1205)

//     at android.view.ViewGroup.unFocus(ViewGroup.java:1205)

//     at android.view.ViewGroup.unFocus(ViewGroup.java:1205)

//     at android.view.ViewGroup.unFocus(ViewGroup.java:1205)
//     at android.view.ViewGroup.unFocus(ViewGroup.java:1205)

//     at android.view.ViewGroup.unFocus(ViewGroup.java:1205)

//     at android.view.ViewGroup.requestChildFocus(ViewGroup.java:863)

//     at android.view.ViewGroup.requestChildFocus(ViewGroup.java:869)

//     at android.view.ViewGroup.requestChildFocus(ViewGroup.java:869)

//     at android.view.ViewGroup.requestChildFocus(ViewGroup.java:869)

//     at android.view.View.handleFocusGainInternal(View.java:7771)

//     at android.view.ViewGroup.handleFocusGainInternal(ViewGroup.java:845)

//     at android.view.View.requestFocusNoSearch(View.java:13540)

//     at android.view.View.requestFocus(View.java:13514)

//     at android.view.ViewGroup.requestFocus(ViewGroup.java:3329)

//     at android.view.View.requestFocus(View.java:13481)

//     at android.view.View.requestFocus(View.java:13423)

//     at androidx.fragment.app.FragmentStateManager.resume(FragmentStateManager.java:575)

//     at androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:282)

//     at androidx.fragment.app.SpecialEffectsController$FragmentStateManagerOperation.complete(SpecialEffectsController.java:742)

//     at androidx.fragment.app.SpecialEffectsController$Operation.completeSpecialEffect(SpecialEffectsController.java:669)

//     at

androidx.fragment.app.DefaultSpecialEffectsController$SpecialEffectsInfo.completeSpecialEffect(DefaultSpecialEffectsController.java:755)

//     at androidx.fragment.app.DefaultSpecialEffectsController.startAnimations(DefaultSpecialEffectsController.java:147)

//     at androidx.fragment.app.DefaultSpecialEffectsController.executeOperations(DefaultSpecialEffectsController.java:120)

//     at androidx.fragment.app.SpecialEffectsController.executePendingOperations(SpecialEffectsController.java:294)

//     at androidx.fragment.app.FragmentManager.executeOpsTogether(FragmentManager.java:2222)

//     at androidx.fragment.app.FragmentManager.removeRedundantOperationsAndExecute(FragmentManager.java:2120)

//     at androidx.fragment.app.FragmentManager.execSingleAction(FragmentManager.java:1991)

//     at androidx.fragment.app.BackStackRecord.commitNow(BackStackRecord.java:305)

//     at com.android.documentsui.queries.SearchFragment.showFragment(SearchFragment.java:70)

//     at com.android.documentsui.queries.SearchViewManager.onQueryTextChange(SearchViewManager.java:532)

//     at androidx.appcompat.widget.SearchView.onTextChanged(SearchView.java:1182)

//     at androidx.appcompat.widget.SearchView$10.onTextChanged(SearchView.java:1720)

//     at android.widget.TextView.sendOnTextChanged(TextView.java:10792)

//     at android.widget.TextView.setText(TextView.java:6401)

//     at android.widget.TextView.setText(TextView.java:6227)

//     at android.widget.EditText.setText(EditText.java:121)

//     at android.widget.TextView.setText(TextView.java:6179)

//     at androidx.appcompat.widget.SearchView.setQuery(SearchView.java:571)

//     at com.android.documentsui.queries.SearchViewManager.lambda$install$0(SearchViewManager.java:235)

//     at com.android.documentsui.queries.SearchViewManager.$r8$lambda$1dlDRwewnRR9-jWP91wVQH33kCE(Unknown Source:0)

//     at com.android.documentsui.queries.SearchViewManager$$ExternalSyntheticLambda0.onClick(Unknown Source:2)

//     at android.view.View.performClick(View.java:7441)

//     at android.view.View.performClickInternal(View.java:7418)

//     at android.view.View.onKeyUp(View.java:15275)

//     at android.view.KeyEvent.dispatch(KeyEvent.java:2878)

//     at android.view.View.dispatchKeyEvent(View.java:14478)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)
//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at com.android.internal.policy.DecorView.superDispatchKeyEvent(DecorView.java:504)

//     at com.android.internal.policy.PhoneWindow.superDispatchKeyEvent(PhoneWindow.java:1880)

//     at android.app.Activity.dispatchKeyEvent(Activity.java:4193)

//     at androidx.core.app.ComponentActivity.superDispatchKeyEvent(ComponentActivity.java:122)

//     at androidx.core.view.KeyEventDispatcher.dispatchKeyEvent(KeyEventDispatcher.java:84)

//     at androidx.core.app.ComponentActivity.dispatchKeyEvent(ComponentActivity.java:140)

//     at androidx.appcompat.app.AppCompatActivity.dispatchKeyEvent(AppCompatActivity.java:599)

//     at com.android.documentsui.BaseActivity.dispatchKeyEvent(BaseActivity.java:892)

//     at androidx.appcompat.view.WindowCallbackWrapper.dispatchKeyEvent(WindowCallbackWrapper.java:59)

//     at

androidx.appcompat.app.AppCompatDelegateImpl$AppCompatWindowCallback.dispatchKeyEvent(AppCompatDelegateImpl.java:3058)

//     at androidx.appcompat.view.WindowCallbackWrapper.dispatchKeyEvent(WindowCallbackWrapper.java:59)

//     at com.android.internal.policy.DecorView.dispatchKeyEvent(DecorView.java:418)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.processKeyEvent(ViewRootImpl.java:6293)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6159)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5862)

//     at android.view.ViewRootImpl$ImeInputStage.onFinishedInputEvent(ViewRootImpl.java:6020)

//     at android.view.inputmethod.InputMethodManager$PendingEvent.run(InputMethodManager.java:3158)

//     at android.view.inputmethod.InputMethodManager.invokeFinishedInputEventCallback(InputMethodManager.java:2722)

//     at android.view.inputmethod.InputMethodManager.finishedInputEvent(InputMethodManager.java:2713)

//     at android.view.inputmethod.InputMethodManager$ImeInputEventSender.onInputEventFinished(InputMethodManager.java:3135)

//     at android.view.InputEventSender.dispatchInputEventFinished(InputEventSender.java:154)

//     at android.os.MessageQueue.nativePollOnce(Native Method)

//     at android.os.MessageQueue.next(MessageQueue.java:335)

//     at android.os.Looper.loopOnce(Looper.java:161)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 
History

#1 - 2023-05-04 11:11 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-05-04 16:02 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

参考 https://blog.csdn.net/tian2342/article/details/121654270 解决方案

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DocumentsUI/+/197418

#3 - 2023-05-04 17:34 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-05

- Root cause set to 编码问题

#4 - 2023-05-04 17:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197418 general/platform/packages/apps/Docu

mentsUI

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:DocumentsUI:Fixed monkey crashTC-RID: 1201-0300801IssueID: TS-R-BUG-117738Change-Id: I63a96ca29caa4de3a69b06e0394d77d92be0c63a

#5 - 2023-05-09 09:57 - CD TEST-方永红

5.9

0095及0507DB未复现，继续跟踪一个版本

#6 - 2023-05-10 10:59 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

5.10

0098版本未复现

先关闭
#7 - 2023-05-10 10:59 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tlog_f22f620e_000182_0503214459.tar.gz 18 MB 2023-05-04 CD TEST-方永红

error(6).txt 393 KB 2023-05-04 CD TEST-方永红
